summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-video/kino
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-video/kino')
-rw-r--r--media-video/kino/Manifest1
-rw-r--r--media-video/kino/files/kino-1.3.4-libav-0.7.patch60
-rw-r--r--media-video/kino/files/kino-1.3.4-libav-0.8.patch57
-rw-r--r--media-video/kino/files/kino-1.3.4-libavcodec-pkg-config.patch11
-rw-r--r--media-video/kino/files/kino-1.3.4-v4l1.patch22
-rw-r--r--media-video/kino/kino-1.3.4.ebuild108
-rw-r--r--media-video/kino/metadata.xml15
7 files changed, 274 insertions, 0 deletions
diff --git a/media-video/kino/Manifest b/media-video/kino/Manifest
new file mode 100644
index 00000000000..e6ac1bc558a
--- /dev/null
+++ b/media-video/kino/Manifest
@@ -0,0 +1 @@
+DIST kino-1.3.4.tar.gz 11090771 SHA256 114d046d76ad9980180e28ababd3c58a457cc9211d693705ce03a90a66011a08 SHA512 065695e6115f3f994ed89ebf52e64c4b8da100f7a973a8c686fd7e7377104b838968800c6a8e31913fd5e2be568076c60d588b840e51da3d082841546a53fc32 WHIRLPOOL 9d7ecc79d23dd8d8c4c0b64da2cd425f48305a81da6b6ae6acb2cad1f4b78fb9ade26ef0e8d36c560aa5f6340fb7221ac7ff3f08b1fecfcdea7d0b7d9614c034
diff --git a/media-video/kino/files/kino-1.3.4-libav-0.7.patch b/media-video/kino/files/kino-1.3.4-libav-0.7.patch
new file mode 100644
index 00000000000..65c5bc38276
--- /dev/null
+++ b/media-video/kino/files/kino-1.3.4-libav-0.7.patch
@@ -0,0 +1,60 @@
+--- kino-1.3.4.orig/src/frame.cc 2011-07-17 14:54:59.089481638 +0200
++++ kino-1.3.4/src/frame.cc 2011-07-17 15:09:23.199481714 +0200
+@@ -1063,7 +1063,12 @@
+ AVPicture dest;
+ int got_picture;
+
+- avcodec_decode_video( libavcodec, frame, &got_picture, data, GetFrameSize() );
++ AVPacket pkt;
++ av_init_packet(&pkt);
++ pkt.data = data;
++ pkt.size = GetFrameSize();
++
++ avcodec_decode_video2( libavcodec, frame, &got_picture, &pkt );
+ if ( got_picture )
+ {
+ avpicture_fill( &dest, static_cast<uint8_t*>( rgb ), PIX_FMT_RGB24, GetWidth(), GetHeight() );
+@@ -1123,7 +1128,12 @@
+ AVPicture output;
+ int got_picture;
+
+- avcodec_decode_video( libavcodec, frame, &got_picture, data, GetFrameSize() );
++ AVPacket pkt;
++ av_init_packet(&pkt);
++ pkt.data = data;
++ pkt.size = GetFrameSize();
++
++ avcodec_decode_video2( libavcodec, frame, &got_picture, &pkt );
+ if ( got_picture )
+ {
+ avpicture_fill( &output, static_cast<uint8_t*>( yuv ), PIX_FMT_YUV422, GetWidth(), GetHeight() );
+@@ -1156,7 +1166,12 @@
+ AVFrame *frame = avcodec_alloc_frame();
+ int got_picture;
+
+- avcodec_decode_video( libavcodec, frame, &got_picture, data, GetFrameSize() );
++ AVPacket pkt;
++ av_init_packet(&pkt);
++ pkt.data = data;
++ pkt.size = GetFrameSize();
++
++ avcodec_decode_video2( libavcodec, frame, &got_picture, &pkt );
+
+ int width = GetWidth(), height = GetHeight();
+
+@@ -1319,12 +1334,12 @@
+ #if defined(HAVE_LIBAVCODEC)
+ if ( avformatEncoder == NULL )
+ {
+- avformatEncoder = av_alloc_format_context();
++ avformatEncoder = avformat_alloc_context();
+ if ( avformatEncoder )
+ {
+- avformatEncoder->oformat = guess_format( "dv", NULL, NULL );
++ avformatEncoder->oformat = av_guess_format( "dv", NULL, NULL );
+ AVStream* vst = av_new_stream( avformatEncoder, 0 );
+- vst->codec->codec_type = CODEC_TYPE_VIDEO;
++ vst->codec->codec_type = AVMEDIA_TYPE_VIDEO;
+ vst->codec->codec_id = CODEC_ID_DVVIDEO;
+ vst->codec->bit_rate = 25000000;
+ vst->start_time = 0;
diff --git a/media-video/kino/files/kino-1.3.4-libav-0.8.patch b/media-video/kino/files/kino-1.3.4-libav-0.8.patch
new file mode 100644
index 00000000000..f98cbda0bc4
--- /dev/null
+++ b/media-video/kino/files/kino-1.3.4-libav-0.8.patch
@@ -0,0 +1,57 @@
+--- kino-1.3.4.orig/src/frame.cc 2012-05-14 19:55:42.153772418 -0700
++++ kino-1.3.4/src/frame.cc 2012-05-14 20:28:34.448838653 -0700
+@@ -101,8 +101,9 @@
+ #if defined(HAVE_LIBAVCODEC)
+ pthread_mutex_lock( &avcodec_mutex );
+ av_register_all();
+- libavcodec = avcodec_alloc_context();
+- avcodec_open( libavcodec, avcodec_find_decoder( CODEC_ID_DVVIDEO ) );
++ libavcodec = avcodec_alloc_context3(NULL);
++ avcodec_open2( libavcodec,
++ avcodec_find_decoder( CODEC_ID_DVVIDEO ), NULL );
+ pthread_mutex_unlock( &avcodec_mutex );
+ data = ( unsigned char* ) av_mallocz( 144000 );
+ #if defined(HAVE_SWSCALE)
+@@ -1338,7 +1339,7 @@
+ if ( avformatEncoder )
+ {
+ avformatEncoder->oformat = av_guess_format( "dv", NULL, NULL );
+- AVStream* vst = av_new_stream( avformatEncoder, 0 );
++ AVStream* vst = avformat_new_stream( avformatEncoder, NULL );
+ vst->codec->codec_type = AVMEDIA_TYPE_VIDEO;
+ vst->codec->codec_id = CODEC_ID_DVVIDEO;
+ vst->codec->bit_rate = 25000000;
+@@ -1364,12 +1365,10 @@
+ vst->sample_aspect_ratio = avcodecEncoder->sample_aspect_ratio;
+ #endif
+ avcodecEncoder->thread_count = 2;
+- avcodec_thread_init( avcodecEncoder, avcodecEncoder->thread_count );
+ avcodecEncoder->time_base= isPAL ? ( AVRational ){ 1, 25 } : ( AVRational ){ 1001, 30000 };
+ avcodecEncoder->pix_fmt = isPAL ? PIX_FMT_YUV420P : PIX_FMT_YUV411P;
+ avcodecEncoder->flags |= CODEC_FLAG_INTERLACED_DCT;
+- av_set_parameters( avformatEncoder, NULL );
+- avcodec_open( avcodecEncoder, avcodec_find_encoder( CODEC_ID_DVVIDEO ) );
++ avcodec_open2( avcodecEncoder, avcodec_find_encoder( CODEC_ID_DVVIDEO ), NULL );
+ av_new_packet( &avpacketEncoder, 144000 );
+ tempImage = ( uint8_t* ) av_malloc(
+ avpicture_get_size( avcodecEncoder->pix_fmt, avcodecEncoder->width, avcodecEncoder->height ) );
+@@ -1475,16 +1474,16 @@
+
+ // Encode
+ bytesInFrame = avcodec_encode_video( avcodecEncoder, avpacketEncoder.data, size, output );
+- url_open_buf( &avformatEncoder->pb, data, bytesInFrame, URL_WRONLY );
++ avformatEncoder->pb = avio_alloc_context(data, bytesInFrame, 0, NULL, NULL, NULL, NULL);
+ avpacketEncoder.size = bytesInFrame;
+ if ( !isEncoderHeaderWritten )
+ {
+- av_write_header( avformatEncoder );
++ avformat_write_header( avformatEncoder, NULL );
+ isEncoderHeaderWritten = true;
+ }
+ av_write_frame( avformatEncoder, &avpacketEncoder );
+ #if LIBAVFORMAT_VERSION_INT >= ((52<<16)+(0<<8)+0)
+- url_close_buf( avformatEncoder->pb );
++ avio_close( avformatEncoder->pb );
+ #else
+ url_close_buf( &avformatEncoder->pb );
+ #endif
diff --git a/media-video/kino/files/kino-1.3.4-libavcodec-pkg-config.patch b/media-video/kino/files/kino-1.3.4-libavcodec-pkg-config.patch
new file mode 100644
index 00000000000..d6a8953cf00
--- /dev/null
+++ b/media-video/kino/files/kino-1.3.4-libavcodec-pkg-config.patch
@@ -0,0 +1,11 @@
+--- a/kino-1.3.4/configure.in 2009-09-08 02:35:23.000000000 -0400
++++ b/kino-1.3.4/configure.in 2014-01-27 14:53:01.366063037 -0500
+@@ -221,7 +221,7 @@
+ if (test "x$avcodec_include" != x) || (test "x$avcodec_lib" != x) ; then
+ local_legacy_ffmpeg_test
+ else
+- PKG_CHECK_MODULES(AVCODEC, libavformat,
++ PKG_CHECK_MODULES(AVCODEC, [libavcodec libavformat libavutil],
+ [
+ AC_DEFINE(HAVE_LIBAVCODEC, 1, [Enable FFMPEG libavcodec])
+ AC_SUBST(AVCODEC_LIBS)
diff --git a/media-video/kino/files/kino-1.3.4-v4l1.patch b/media-video/kino/files/kino-1.3.4-v4l1.patch
new file mode 100644
index 00000000000..c6757743cd7
--- /dev/null
+++ b/media-video/kino/files/kino-1.3.4-v4l1.patch
@@ -0,0 +1,22 @@
+--- kino-1.3.3.orig/ffmpeg/libavdevice/v4l.c 2011-05-17 02:20:37.161004916 +0400
++++ kino-1.3.3.orig/ffmpeg/libavdevice/v4l.c 2011-05-17 02:21:57.302377529 +0400
+@@ -26,7 +26,7 @@
+ #include <sys/mman.h>
+ #include <sys/time.h>
+ #define _LINUX_TIME_H 1
+-#include <linux/videodev.h>
++#include <libv4l1-videodev.h>
+ #include <time.h>
+
+ typedef struct {
+--- kino-1.3.3.orig/src/v4l.h 2011-05-17 02:20:38.896969666 +0400
++++ kino-1.3.3.orig/src/v4l.h 2011-05-17 02:21:39.922730395 +0400
+@@ -40,7 +40,7 @@
+
+ #define _DEVICE_H_
+ #define _LINUX_TIME_H
+-#include <linux/videodev.h>
++#include <libv4l1-videodev.h>
+
+ #include "displayer.h"
+
diff --git a/media-video/kino/kino-1.3.4.ebuild b/media-video/kino/kino-1.3.4.ebuild
new file mode 100644
index 00000000000..0b5fb07ccc8
--- /dev/null
+++ b/media-video/kino/kino-1.3.4.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils udev
+
+DESCRIPTION="Kino is a non-linear DV editor for GNU/Linux"
+HOMEPAGE="http://www.kinodv.org/"
+SRC_URI="mirror://sourceforge/kino/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 ~sparc x86"
+IUSE="alsa dvdr gpac lame gstreamer quicktime sox vorbis"
+
+# This ebuild would benefit a lot of USE dependencies but that has to wait for
+# EAPI 2. The usual fix is to issue built_with_use checks but in that particu-
+# lar case it would make the ebuild rather complicated to write and maintain
+# (certain features can be enabled in various different ways). Also it would
+# also force the emerge process to stop a bit too often for users not to comp-
+# lain. Thus, if you need features like theora, x264, xvid and maybe others,
+# make sure you activate the required support where it should be (ffmpeg, mostly).
+
+# Optional dependency on cinelerra-cvs (as a replacement for libquicktime)
+# dropped because kino may run with it but won't build anymore.
+
+CDEPEND=">=x11-libs/gtk+-2.6.0
+ >=gnome-base/libglade-2.5.0
+ >=dev-libs/glib-2
+ x11-libs/libXv
+ dev-libs/libxml2
+ media-libs/audiofile
+ >=sys-libs/libraw1394-1.0.0
+ >=sys-libs/libavc1394-0.4.1
+ >=media-libs/libdv-0.103
+ media-libs/libsamplerate
+ media-libs/libiec61883
+ media-libs/libv4l
+ alsa? ( >=media-libs/alsa-lib-1.0.9 )
+ virtual/ffmpeg
+ quicktime? ( >=media-libs/libquicktime-0.9.5 )"
+DEPEND="${CDEPEND}
+ dev-util/intltool"
+RDEPEND="${CDEPEND}
+ media-video/mjpegtools
+ media-sound/rawrec
+ dvdr? ( media-video/dvdauthor
+ app-cdr/dvd+rw-tools )
+ gpac? ( media-video/gpac )
+ lame? ( media-sound/lame )
+ gstreamer? ( media-libs/gst-plugins-base:0.10 )
+ sox? ( media-sound/sox )
+ vorbis? ( media-sound/vorbis-tools )"
+
+DOCS="AUTHORS BUGS ChangeLog NEWS README* TODO"
+
+src_prepare() {
+ # Deactivating automagic alsa configuration, bug #134725
+ if ! use alsa ; then
+ sed -i -e "s:HAVE_ALSA 1:HAVE_ALSA 0:" configure || die
+ fi
+
+ # Fix bug #169590
+ # https://sourceforge.net/tracker/?func=detail&aid=3304495&group_id=14103&atid=314103
+ sed -i \
+ -e '/\$(LIBQUICKTIME_LIBS) \\/d' \
+ -e '/^[[:space:]]*\$(SRC_LIBS)/ a\
+ \$(LIBQUICKTIME_LIBS) \\' \
+ src/Makefile.in || die
+
+ # Fix test failure discovered in bug #193947
+ # https://sourceforge.net/tracker/?func=detail&aid=3304499&group_id=14103&atid=314103
+ sed -i -e '$a\
+\
+ffmpeg/libavcodec/ps2/idct_mmi.c\
+ffmpeg/libavcodec/sparc/dsputil_vis.c\
+ffmpeg/libavcodec/sparc/vis.h\
+ffmpeg/libavutil/bswap.h\
+ffmpeg/libswscale/yuv2rgb_template.c\
+src/export.h\
+src/message.cc\
+src/page_bttv.cc' po/POTFILES.in || die
+
+ sed -i -e 's:^#include <quicktime.h>:#include <lqt/quicktime.h>:' src/filehandler.h || die
+ epatch "${FILESDIR}/${P}-v4l1.patch"
+ epatch "${FILESDIR}/${P}-libav-0.7.patch"
+ epatch "${FILESDIR}/${P}-libav-0.8.patch"
+ epatch "${FILESDIR}/${P}-libavcodec-pkg-config.patch"
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-local-ffmpeg \
+ $(use_enable quicktime) \
+ $(use_with sparc dv1394) \
+ --with-udev-rules-dir="$(get_udevdir)"/rules.d \
+ CPPFLAGS="-I${ROOT}usr/include/libavcodec -I${ROOT}usr/include/libavformat -I${ROOT}usr/include/libswscale"
+}
+
+src_install() {
+ default
+ mv "${ED}/$(get_udevdir)"/rules.d/{,99-}kino.rules
+ fowners root:root -R /usr/share/kino/help #177378
+ prune_libtool_files --all #385361
+}
diff --git a/media-video/kino/metadata.xml b/media-video/kino/metadata.xml
new file mode 100644
index 00000000000..576101d0b53
--- /dev/null
+++ b/media-video/kino/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>video</herd>
+ <maintainer>
+ <email>calchan@gentoo.org</email>
+ <name>Denis Dupeyron</name>
+ </maintainer>
+ <use>
+ <flag name="gpac">Enable GPAC support when exporting to 3GPP format</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">kino</remote-id>
+ </upstream>
+</pkgmetadata>